﻿using System;
using ParkingLot_Plain.Konfigurace;

namespace ParkingLot_Plain
{
    internal class Program
    {
        public static void Main(String[] args)
        {
            //NOTE: Vazby napevno!
            var konfigurace = new KonfiguraceZarizeni();
            konfigurace.SetFrekvence(100);
            konfigurace.SetKapacita(10);

            var brana = new Brana.Brana(new Parkoviste.Parkoviste(konfigurace), konfigurace);
            var pult = new Pult.Pult
            {
                Brana = brana,
                Tabule = new Tabule.Tabule(),
                PracovniDoba = 1000,
                Statistika = brana
            };

            Pult.Pult.OpakujPracovniDobu(pult);
        }
    }
}